Debian Bug report logs - #343901
RFP: pbm2l7k -- printer driver for Lexmark printers

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Schmidt <yath@yath.de>

Date: Sun, 18 Dec 2005 17:18:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#343901; Package gs-esp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Schmidt <yath@yath.de>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Schmidt <yath@yath.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Sun, 18 Dec 2005 18:03:17 +0100
[Message part 1 (text/plain, inline)]
Package: gs-esp
Version: 8.15.1.dfsg.1-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Moin,

gs-esp with -sDEVICE=lx5000 hangs when printing PostScript files
generated by mozilla (firefox, in this case). I have attached a file
which causes gs to fail; you can reproduce this bug with
  gs -sDEVICE=lx5000 -sOutputFile=/dev/null file

gs without -sDEVICE or gv display the file fine. This bug also exists
in sarge (gs-esp 7.07.1-9).

gs produced 94MB output after 10 seconds or so, but what's notable about
it is the following (hexdump -C):
05d13f70  00 02 02 00 18 00 ec 19  13 e8 00 00 00 00 2b 70  |......ì..è....+p|
05d13f80  62 77 01 1b 2a 03 00 00  1b 2a 04 00 00 00 1a 00  |bw..*....*......|
05d13f90  02 02 00 18 00 ec 19 13  e8 00 00 00 00 2b 70 62  |.....ì..è....+pb|
05d13fa0  77 01 1b 2a 03 00 00 1b  2a 04 00 00 00 1a 00 02  |w..*....*.......|
05d13fb0  02 00 18 00 ec 19 13 e8  00 00 00 00 2b 70 62 77  |....ì..è....+pbw|
05d13fc0  01 1b 2a 03 00 00 1b 2a  04 00 00 00 1a 00 02 02  |..*....*........|
05d13fd0  00 18 00 ec 19 13 e8 00  00 00 00 2b 70 62 77 01  |...ì..è....+pbw.|
05d13fe0  1b 2a 03 00 00 1b 2a 04  00 00 00 1a 00 02 02 00  |.*....*.........|
05d13ff0  18 00 ec 19 13 e8 00 00  00 00 2b 70 62 77 01 1b  |..ì..è....+pbw..|
[... and so on ...]

This pattern gets repeated all the time.

As some fiddling with gdb shows me, this loop appears to be in
lx5000_print_page() (addons/gdevlx50.c); the write gets done in
feedPaper() and printSwipe(), both consecutively called by
lx5000_print_page().

A backtrace from lx5000_print_page backwards as well a print of
*lx5000dev in the same context are also attached.

If you need some more information, don't hesitate to ask. :)

Greetings,
  Sebastian

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.3-offset2g
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages gs-esp depends on:
ii  gs-common                 0.3.9          Common files for different Ghostsc
ii  libc6                     2.3.5-8.1      GNU C Library: Shared libraries an
ii  libcupsimage2             1.1.23-14      Common UNIX Printing System(tm) - 
ii  libcupsys2                1.1.23-14      Common UNIX Printing System(tm) - 
ii  libice6                   6.8.2.dfsg.1-8 Inter-Client Exchange library
ii  libjpeg62                 6b-10          The Independent JPEG Group's JPEG 
ii  libpaper1                 1.1.14-3       Library for handling paper charact
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libsm6                    6.8.2.dfsg.1-8 X Window System Session Management
ii  libstdc++6                4.0.2-5        The GNU Standard C++ Library v3
ii  libtiff4                  3.7.4-1        Tag Image File Format (TIFF) libra
ii  libx11-6                  6.8.2.dfsg.1-8 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-8 X Window System miscellaneous exte
ii  libxt6                    6.8.2.dfsg.1-8 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.3-4      compression library - runtime

Versions of packages gs-esp recommends:
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  psfontmgr             0.11.8-0.1         PostScript font manager -- part of

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDpZZVvBVic1oTsEgRAh/CAJ9O5vScbNvOI3xWVnQii1s5whDDbQCfREIp
YLXBEgVaED85YZ7h1sFLv28=
=BIT8
-----END PGP SIGNATURE-----
[mozilla.ps (application/postscript, attachment)]
[gdb (text/plain, attachment)]

Tags added: upstream Request was from Sebastian Schmidt <yath@yath.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#343901; Package gs-esp. (Sat, 15 Jan 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 15 Jan 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #12 received at 343901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sebastian Schmidt <s.schmidt@fz-juelich.de>
Cc: 343901@bugs.debian.org
Subject: Re: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Sat, 15 Jan 2011 12:16:22 -0600
reassign 343901 libgs9
found 343901 gs-esp/8.15.1.dfsg.1-1
found 343901 ghostscript/9.00~dfsg-2
tags 343901 + confirmed
quit

Sebastian Schmidt wrote:

> gs-esp with -sDEVICE=lx5000 hangs when printing PostScript files
> generated by mozilla (firefox, in this case). I have attached a file
> which causes gs to fail; you can reproduce this bug with
>   gs -sDEVICE=lx5000 -sOutputFile=/dev/null file
> 
> gs without -sDEVICE or gv display the file fine.

Thanks for a clear report.  Still happens exactly as described.
Ghostscript wizards: any ideas for tracking this down?

 $ gs -dSAFER -sDEVICE=lx5000 -sOutputFile=/dev/null ~/web/mozilla.ps 
 GPL Ghostscript  9.00 (2010-09-14)
 Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
 This software comes with NO WARRANTY: see the file PUBLIC for details.
 Loading NimbusRomNo9L-Regu font from /usr/share/fonts/type1/gsfonts/n021003l.pfb... 2619136 1254085 8750092 7450110 1 done.
 Loading NimbusRomNo9L-Medi font from /usr/share/fonts/type1/gsfonts/n021004l.pfb... 2682564 1363434 8750092 7456503 1 done.
 Loading NimbusRomNo9L-MediItal font from /usr/share/fonts/type1/gsfonts/n021024l.pfb... 2799708 1471362 8770188 7466010 1 done.
 Loading NimbusRomNo9L-ReguItal font from /usr/share/fonts/type1/gsfonts/n021023l.pfb... 2916852 1582897 8770188 7472159 1 done.
 Loading NimbusSanL-Regu font from /usr/share/fonts/type1/gsfonts/n019003l.pfb... 3013900 1678963 8770188 7478372 1 done.
 Loading NimbusSanL-Bold font from /usr/share/fonts/type1/gsfonts/n019004l.pfb... 3090852 1764420 8790284 7487849 1 done.
 Loading NimbusSanL-BoldItal font from /usr/share/fonts/type1/gsfonts/n019024l.pfb... 3187900 1852077 8790284 7493998 1 done.
 Loading NimbusSanL-ReguItal font from /usr/share/fonts/type1/gsfonts/n019023l.pfb... 3284948 1938835 8790284 7500147 1 done.
 Loading NimbusMonL-Regu font from /usr/share/fonts/type1/gsfonts/n022003l.pfb... 3402092 2053607 8810380 7509624 1 done.
 Loading NimbusMonL-Bold font from /usr/share/fonts/type1/gsfonts/n022004l.pfb... 3519236 2175599 8810380 7515901 1 done.
 Loading NimbusMonL-BoldObli font from /usr/share/fonts/type1/gsfonts/n022024l.pfb... 3574036 2193018 8810380 7465778 1 done.
 Loading NimbusMonL-ReguObli font from /usr/share/fonts/type1/gsfonts/n022023l.pfb... 3671084 2300599 8810380 7471927 1 done.
 Loading StandardSymL font from /usr/share/fonts/type1/gsfonts/s050000l.pfb... 3711276 2340770 8810380 7478380 1 done.
[hangs there at 100% CPU]

Attaching with gdb gives

 (gdb) bt
 #0  0xb7218041 in ?? () from /usr/lib/libgs.so.9
 #1  0xb7219822 in ?? () from /usr/lib/libgs.so.9
 #2  0xb710bbd0 in gx_default_print_page_copies () from /usr/lib/libgs.so.9
 #3  0xb710bd05 in gdev_prn_output_page () from /usr/lib/libgs.so.9
 #4  0xb7276ec3 in gs_output_page () from /usr/lib/libgs.so.9
 #5  0xb70806df in ?? () from /usr/lib/libgs.so.9
 #6  0xb7050fc4 in ?? () from /usr/lib/libgs.so.9
 #7  0xb7052030 in gs_interpret () from /usr/lib/libgs.so.9
 #8  0xb7045df8 in gs_main_run_string_end () from /usr/lib/libgs.so.9
 #9  0xb7046252 in gs_main_run_string_with_length () from /usr/lib/libgs.so.9
 #10 0xb70462aa in gs_main_run_string () from /usr/lib/libgs.so.9
 #11 0xb7047060 in ?? () from /usr/lib/libgs.so.9
 #12 0xb70478f8 in ?? () from /usr/lib/libgs.so.9
 #13 0xb7047b6a in ?? () from /usr/lib/libgs.so.9
 #14 0xb7048feb in gs_main_init_with_args () from /usr/lib/libgs.so.9
 #15 0xb704a10e in gsapi_init_with_args () from /usr/lib/libgs.so.9
 #16 0x0804887c in main ()

Using the usual X11 driver gives the same terminal output, with

 >>showpage, press <return> to continue<<

appended and a webpage shows.




Bug reassigned from package 'gs-esp' to 'libgs9'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 15 Jan 2011 18:18:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gs-esp/8.15.1.dfsg.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 15 Jan 2011 18:18:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gs-esp/8.15.1.dfsg.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 15 Jan 2011 18:18:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ghostscript/9.00~dfsg-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 15 Jan 2011 18:18:09 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 15 Jan 2011 18:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#343901; Package libgs9. (Fri, 21 Jan 2011 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 21 Jan 2011 11:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 343901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: gs-devel@ghostscript.com
Cc: Sebastian Schmidt <yath@yath.de>, pbw@pbw.id.au, 343901@bugs.debian.org
Subject: Re: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Fri, 21 Jan 2011 05:25:46 -0600
Hi Peter,

I was trying to debug an old hang with ghostscript's lx5000 driver and
am stuck.  [1] has the original report and test file.

Sebastian Schmidt wrote:

> gs produced 94MB output after 10 seconds or so, but what's notable about
> it is the following (hexdump -C):
> 05d13f70  00 02 02 00 18 00 ec 19  13 e8 00 00 00 00 2b 70  |......ì..è....+p|
> 05d13f80  62 77 01 1b 2a 03 00 00  1b 2a 04 00 00 00 1a 00  |bw..*....*......|
> 05d13f90  02 02 00 18 00 ec 19 13  e8 00 00 00 00 2b 70 62  |.....ì..è....+pb|
> 05d13fa0  77 01 1b 2a 03 00 00 1b  2a 04 00 00 00 1a 00 02  |w..*....*.......|
> 05d13fb0  02 00 18 00 ec 19 13 e8  00 00 00 00 2b 70 62 77  |....ì..è....+pbw|
> 05d13fc0  01 1b 2a 03 00 00 1b 2a  04 00 00 00 1a 00 02 02  |..*....*........|
> 05d13fd0  00 18 00 ec 19 13 e8 00  00 00 00 2b 70 62 77 01  |...ì..è....+pbw.|
> 05d13fe0  1b 2a 03 00 00 1b 2a 04  00 00 00 1a 00 02 02 00  |.*....*.........|
> 05d13ff0  18 00 ec 19 13 e8 00 00  00 00 2b 70 62 77 01 1b  |..ì..è....+pbw..|
> [... and so on ...]
>
> This pattern gets repeated all the time.

Using http://pbw.id.au/lexmark/protocol.html we can decode this.

Starting at 05d13f83:

	VERTICAL MOVE (1b 2a 03) by 0
	SWIPE PRINT (1b 2a 04) of length 26 (00 00 00 1a):
		unidirectional, 600x600 dpi (00 02)
		color (02 00)
		192 nozzles (18)
		00 padding
		60441 columns (ec 19)
		first column = 5096 (13 e8)
		last column = 0 (00 00) --- huh?  doesn't add up
		driver id = "+pbw" (2b 70 62 77)
		time for data (01)
	VERTICAL MOVE (1b 2a 03) by 0
	SWIPE PRINT  (1b 2a 04) of length 26 (00 00 00 1a):
		...

That's what FILL_SWIPE_HEADER writes (in contrib/gdevlx50.c), in
printSwipe().  So printSwipe() is being called interspersed with
feedPaper(), just as Sebastian described.

The tried and true printf method reveals that nextLineToPrint very
quickly gets the value of 16, which is much lower than 3300, and
keeps that value.

But at this point I'm stuck, since I'm not sure how this code is
supposed to work.  When is nextLineToPrint supposed to advance?

It's also possible the postscript file is buggy, though it displays
ok with the x11 driver, at least.  The ps file came from an attempt
to print something with a web browser.

Ideas?
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;bug=343901




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#343901; Package libgs9. (Sat, 22 Jan 2011 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 22 Jan 2011 21:54:03 GMT) Full text and rfc822 format available.

Message #32 received at 343901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Peter B. West" <pbw@pbw.id.au>
Cc: 343901@bugs.debian.org, gs-devel@ghostscript.com, Sebastian Schmidt <yath@yath.de>
Subject: Re: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Sat, 22 Jan 2011 15:52:51 -0600
[Message part 1 (text/plain, inline)]
Hi again,

Just an update (no patch yet).  Thanks for the advice.

 $ git clone git://git.ghostscript.com/ghostscript.git
 $ cd ghostscript/gs
 $ git apply debug-lx5000.patch
 $ autoreconf -fis
 $ ./configure
 $ make

| $ bin/gs -dSAFER -sDEVICE=lx5000 -sOutputFile=/dev/null /tmp/mozilla.ps
| GPL Ghostscript SVN PRE-RELEASE 9.01 (2010-09-14)
| Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
| This software comes with NO WARRANTY: see the file PUBLIC for details.
| Loading NimbusRomNo9L-Regu font from %rom%Resource/Font/NimbusRomNo9L-Regu... 2592440 1272826 8750092 7452670 1 done
[...]
| Loading StandardSymL font from %rom%Resource/Font/StandardSymL... 3878968 2514682 8850572 7498285 1 done.
| trace: refresh buffer, 4 colors.
| trace: color 0, pen 0: line 6663
| trace: color 1, pen 0: line 6663
| trace: color 2, pen 0: line 6663
| trace: color 3, pen 0: line 6663
| trace: first printable line: 6663
| trace: next line to get: 0
| trace: color 0: line 32
| trace: done getting lines.  next line to get: 288

A good start.

| trace: refresh buffer, 4 colors.
| trace: color 0, pen 0: line 32
| trace: color 1, pen 0: line 6663
| trace: color 2, pen 0: line 32
| trace: color 3, pen 0: line 32
| trace: first printable line: 32
| trace: next line to get: 288
| trace: done getting lines.  next line to get: 288

First line after margin: 32.  Three colors to print.

[...]
Some boring parts. ;-)
[...]

| trace: refresh buffer, 4 colors.
| trace: color 0, pen 0: line 6517
| trace: color 1, pen 0: line 6663
| trace: color 2, pen 0: line 6663
| trace: color 3, pen 0: line 6517
| trace: first printable line: 6517
| trace: next line to get: 6773
| trace: done getting lines.  next line to get: 6773

6773 > 6663.

> trace: refresh buffer, 4 colors.
> trace: color 0, pen 0: line 6517
> trace: color 1, pen 0: line 6663
> trace: color 2, pen 0: line 6663
> trace: color 3, pen 0: line 6551
> trace: first printable line: 6517
> trace: next line to get: 6773
> trace: done getting lines.  next line to get: 6773

And we loop on this state.

The next line to _print_ is 6517 (presumably less than pdev->height)
but the next line to get is greater than that.  The driver writes
empty swipes for some reason and hangs.

Jonathan
[debug-lx5000.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#343901; Package libgs9. (Mon, 04 Jul 2011 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Mon, 04 Jul 2011 00:33:03 GMT) Full text and rfc822 format available.

Message #37 received at 343901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 343901@bugs.debian.org
Subject: Re: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Sun, 3 Jul 2011 19:29:25 -0500
forwarded 343901 http://bugs.ghostscript.com/show_bug.cgi?id=691820
quit

Sebastian Schmidt wrote:

> gs-esp with -sDEVICE=lx5000 hangs when printing PostScript files
> generated by mozilla (firefox, in this case).

Based on a belief that there are no coincidences, I'm linking this to
a seemingly related upstream report.  Further discussion should
probably happen there.

Thanks again for your help.




Set Bug forwarded-to-address to 'http://bugs.ghostscript.com/show_bug.cgi?id=691820'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Jul 2011 00:33:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 04 Aug 2011 21:24:15 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 08 Aug 2011 16:42:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 18 Aug 2011 16:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#343901; Package libgs9. (Fri, 13 Jul 2012 19:36:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Fri, 13 Jul 2012 19:36:35 GMT) Full text and rfc822 format available.

Message #50 received at 343901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 343901@bugs.debian.org
Cc: Anthony Fok <foka@debian.org>, wnpp@packages.debian.org
Subject: Re: gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files
Date: Fri, 13 Jul 2012 14:04:31 -0500
retitle 343901 RFP: pbm2l7k (printer driver for Lexmark printers)
notforwarded 343901
tags 343901 =
reassign 343901 wnpp
affects 343901 = ghostscript cups foomatic-db
quit

Hi,

$ git show -s ghostpdl-9.05~410
commit 9c074dc8
Author: Henry Stiles <henry.stiles@artifex.com>
Date:   Tue Aug 16 16:48:01 2011 -0600

    Fixes 691820 by removing the device, the authors in the contrib.mak
    and source code file (gdevlx50.c) have been sent email the device is
    broken.

    CLUSTER_UNTESTED

Users of this printer are encouraged to use the pbm2l7k driver instead:

 Package name : lexmark7000linux
 Version      : 990516
 Upstream     : OpenPrinting Working Group <printing-foomatic@lists.linux-foundation.org>
 URL          : http://www.openprinting.org/driver/pbm2l7k/
 License      : GPL-2+
 Description  :
  This is the printer driver for Lexmark 7000 "GDI" printers.
   * Known to work with Lexmark 7000, 7200 and 5700 printers
   * 600x600 dpi Black & White printing
   * Preliminary 600x600 CMY colour printing for 7000, 7200

Hope that helps,
Jonathan




Changed Bug title to 'RFP: pbm2l7k (printer driver for Lexmark printers)' from 'gs-esp's lx5000 driver runs into infinite loop with mozilla's postscript files' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

Removed tag(s) upstream, confirmed, and fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libgs9' to 'wnpp'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

No longer marked as found in versions gs-esp/8.15.1.dfsg.1-1 and ghostscript/9.00~dfsg-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

Added indication that 343901 affects cups, ghostscript, and foomatic-db Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Jul 2012 19:37:44 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: pbm2l7k -- printer driver for Lexmark printers' from 'RFP: pbm2l7k (printer driver for Lexmark printers)' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 18:18:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Fri, 24 Aug 2012 11:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:41:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.